Bug 177433 - [maintainer] mail/opendkim update to 2.8.2
Summary: [maintainer] mail/opendkim update to 2.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 06:30 UTC by Hirohisa Yamaguchi
Modified: 2013-03-28 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (5.66 KB, patch)
2013-03-28 06:30 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2013-03-28 06:30:00 UTC
	The new version of mail/opendkim 2.8.2 is now available.
	Release-announcement: http://lists.opendkim.org/archive/opendkim/announce/2013/03/0043.html

	This update supersedes ports/177168.

Fix: The patch follows:

	M       mail/opendkim/Makefile                                   |    3 +-
	M       mail/opendkim/Makefile.options                           |    4 +--
	M       mail/opendkim/distinfo                                   |    4 +--
	D       mail/opendkim/files/patch-libopendkim__dkim-cache.c      |   18 ---------------
	D       mail/opendkim/files/patch-libopendkim__tests__t-test49.c |   26 ----------------------
	A       mail/opendkim/files/patch-librbl__rbl.c                  |   10 ++++++++
	A       mail/opendkim/files/patch-opendkim__opendkim.c           |   33 +++++++++++++++++++++++++++++
	 7 files changed, 49 insertions(+), 49 deletions(-)
How-To-Repeat: 	N/A
Comment 1 Guido Falsi freebsd_committer 2013-03-28 08:03:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-03-28 22:59:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-03-28 22:59:04 UTC
Author: madpilot
Date: Thu Mar 28 22:58:55 2013
New Revision: 315506
URL: http://svnweb.freebsd.org/changeset/ports/315506

Log:
  Update to 2.8.2
  
  PR:		ports/177433
  Submitted by:	Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)

Added:
  head/mail/opendkim/files/patch-librbl__rbl.c   (contents, props changed)
  head/mail/opendkim/files/patch-opendkim__opendkim.c   (contents, props changed)
Deleted:
  head/mail/opendkim/files/patch-libopendkim__dkim-cache.c
  head/mail/opendkim/files/patch-libopendkim__tests__t-test49.c
Modified:
  head/mail/opendkim/Makefile
  head/mail/opendkim/Makefile.options
  head/mail/opendkim/distinfo

Modified: head/mail/opendkim/Makefile
==============================================================================
--- head/mail/opendkim/Makefile	Thu Mar 28 22:55:18 2013	(r315505)
+++ head/mail/opendkim/Makefile	Thu Mar 28 22:58:55 2013	(r315506)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=		opendkim
-PORTVERSION=		2.8.0
+PORTVERSION=		2.8.2
 CATEGORIES=		mail security
 MASTER_SITES=		SF
 MASTER_SITE_SUBDIR=	${PORTNAME} \
@@ -156,6 +156,7 @@ PLIST_SUB+=		LUA="@comment "
 
 pre-configure:
 	${REINPLACE_CMD} -e '/PKG_CONFIG/s/lua5/lua-5/' \
+	-e '/PKG_CONFIG/s/cyrussasl/libsasl2/' \
 	${WRKSRC}/configure
 
 post-patch:

Modified: head/mail/opendkim/Makefile.options
==============================================================================
--- head/mail/opendkim/Makefile.options	Thu Mar 28 22:55:18 2013	(r315505)
+++ head/mail/opendkim/Makefile.options	Thu Mar 28 22:58:55 2013	(r315506)
@@ -4,8 +4,7 @@
 # This file is used to tune build time options.
 # Please refer FEATURES file distributed with the source for details.
 
-OPTIONS_DEFINE+=	XML FFR
-XML_DESC=		Prefer textproc/libxml2 to devel/jansson for JSON processing
+OPTIONS_DEFINE+=	FFR
 FFR_DESC=		Use features marked as For-Future-Releases
 
 OPTIONS_GROUP+=		FFR
@@ -15,7 +14,7 @@ OPTIONS_GROUP_FFR=	ADSP_LISTS ALLSYMBOLS
 			LDAP_CACHING POSTGRES_RECONNECT_HACK \
 			RATE_LIMIT RBL REDIRECT REPLACE_RULES REPRRD \
 			REPUTATION RESIGN SENDER_MACRO SOCKETDB \
-			STATSEXT VBR
+			STATSEXT VBR XML
 
 ADSP_LISTS_DESC=		ADSP filtering for lists (experimental)
 ALLSYMBOLS_DESC=		Export internal symbols for test
@@ -41,3 +40,4 @@ SENDER_MACRO_DESC=		Macro to determine s
 SOCKETDB_DESC=			Arbitrary socket data sets
 STATSEXT_DESC=			Extended stats
 VBR_DESC=			Vouch-By-Reference support
+XML_DESC=			Prefer textproc/libxml2 to devel/jansson for JSON processing

Modified: head/mail/opendkim/distinfo
==============================================================================
--- head/mail/opendkim/distinfo	Thu Mar 28 22:55:18 2013	(r315505)
+++ head/mail/opendkim/distinfo	Thu Mar 28 22:58:55 2013	(r315506)
@@ -1,2 +1,2 @@
-SHA256 (opendkim-2.8.0.tar.gz) = a7b369b2182031d53257cbbac7ed99d70b00ebc442dfb832dc7d78d5d7b0c31c
-SIZE (opendkim-2.8.0.tar.gz) = 1175377
+SHA256 (opendkim-2.8.2.tar.gz) = 6ccb6a4a8906e18e2c487669bf0a24e7b8e7fd791da38ff45a5ab25264f071bc
+SIZE (opendkim-2.8.2.tar.gz) = 1181815

Added: head/mail/opendkim/files/patch-librbl__rbl.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-librbl__rbl.c	Thu Mar 28 22:58:55 2013	(r315506)
@@ -0,0 +1,10 @@
+--- ./librbl/rbl.c.orig	2012-10-25 07:12:31.000000000 +0900
++++ ./librbl/rbl.c	2013-03-21 02:26:41.000000000 +0900
+@@ -312,6 +312,7 @@
+ 
+ 	free(tmp);
+ #endif /* HAVE_RES_SETSERVERS */
++	return 0;
+ }
+ 
+ /*

Added: head/mail/opendkim/files/patch-opendkim__opendkim.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-opendkim__opendkim.c	Thu Mar 28 22:58:55 2013	(r315506)
@@ -0,0 +1,33 @@
+--- ./opendkim/opendkim.c.orig	2013-03-20 03:02:40.000000000 +0900
++++ ./opendkim/opendkim.c	2013-03-21 02:47:29.000000000 +0900
+@@ -12421,7 +12421,7 @@
+ 			{
+ 				syslog(LOG_INFO,
+ 				       "%s: can't parse default sender value '%s'",
+-				       dfc->mctx_jobid, from);
++				       dfc->mctx_jobid, conf->conf_defsender);
+ 			}
+ #endif /* _FFR_DEFAULT_SENDER */
+ 		}
+@@ -14945,8 +14945,8 @@
+ 				for (c = 0; c < nsigs && domain == NULL; c++)
+ 				{
+ 					if ((dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_PASSED) == 0 ||
+-					    (dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_TESTKEY) != 0 &&
+-					    dkim_sig_getbh(sigs[c]) != DKIM_SIGBH_MATCH)
++					    ((dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_TESTKEY) != 0 &&
++					    dkim_sig_getbh(sigs[c]) != DKIM_SIGBH_MATCH))
+ 						continue;
+ 
+ 					cd = dkim_sig_getdomain(sigs[c]);
+@@ -15121,8 +15121,8 @@
+ 				for (c = 0; c < nsigs; c++)
+ 				{
+ 					if ((dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_PASSED) == 0 ||
+-					    (dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_TESTKEY) != 0 &&
+-					    dkim_sig_getbh(sigs[c]) != DKIM_SIGBH_MATCH)
++					    ((dkim_sig_getflags(sigs[c]) & DKIM_SIGFLAG_TESTKEY) != 0 &&
++					    dkim_sig_getbh(sigs[c]) != DKIM_SIGBH_MATCH))
+ 						continue;
+ 
+ 					checked = TRUE;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"